> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Blocked Number

> Update a blocked number's value or block reason



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json patch /v2/admin/number-blocking/{id}
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/number-blocking/{id}:
    patch:
      tags:
        - Number Blocking
      summary: Update Blocked Number
      description: Update a blocked number's value or block reason
      parameters:
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: path
          name: id
          required: true
          description: Blacklist record ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                number:
                  type: string
                  minLength: 10
                  pattern: ^\d+$
                blockReason:
                  type: string
                  maxLength: 255
              additionalProperties: false
      responses:
        '200':
          description: Updated blocked number
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    description: Blacklist record ID
                  tenantId:
                    type: number
                    description: Tenant ID
                  number:
                    type: string
                    description: Blocked number
                  blockReason:
                    type: string
                    description: Reason the number was blocked
                  createdAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: When the block was created
                required:
                  - id
                  - tenantId
                  - number
                  - blockReason
                  - createdAt
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````